Bug 630278 - Review Request: ghc-ranges - Ranges and various functions on them
Review Request: ghc-ranges - Ranges and various functions on them
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ghc-email-validate
  Show dependency treegraph
 
Reported: 2010-09-04 11:56 EDT by Ben Boeckel
Modified: 2011-04-02 18:52 EDT (History)
4 users (show)

See Also:
Fixed In Version: ghc-ranges-0.2.3-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-05 20:56:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lakshminaras2002: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)
patch to fix line endings in LICENSE file (213 bytes, patch)
2011-01-29 01:24 EST, Narasimhan
no flags Details | Diff

  None (edit)
Description Ben Boeckel 2010-09-04 11:56:32 EDT
Spec URL: http://benboeckel.net/packaging/ghc-ranges/ghc-ranges.spec
SRPM URL: http://benboeckel.net/packaging/ghc-ranges/ghc-ranges-0.2.2-1.fc14.src.rpm
Description:
Ranges and some functions allowing things like fast
membership lookup on ranges with holes in them and so on.

% lintmock fedora-14-x86_64-bb
ghc-ranges.src: W: spelling-error %description -l en_US lookup -> lockup, hookup, look up
ghc-ranges.src: W: strange-permission ranges-0.2.2.tar.gz 0640L
ghc-ranges.src: W: strange-permission ghc-ranges.spec 0640L
ghc-ranges.x86_64: W: spelling-error %description -l en_US lookup -> lockup, hookup, look up
ghc-ranges-devel.x86_64: W: spelling-error %description -l en_US lookup -> lockup, hookup, look up
ghc-ranges-prof.x86_64: E: devel-dependency ghc-ranges-devel
ghc-ranges-prof.x86_64: W: spelling-error %description -l en_US lookup -> lockup, hookup, look up
ghc-ranges-prof.x86_64: W: no-documentation
ghc-ranges-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/ranges-0.2.2/libHSranges-0.2.2_p.a
4 packages and 0 specfiles checked; 1 errors, 8 warnings.
Comment 1 Narasimhan 2010-12-19 07:47:59 EST
Ben,
The LICENSE file has this text
"Do what you will."

I think it will be better if we can ask the author to get the proper BSD 3clause variant license packaged with the sources.
Comment 2 Narasimhan 2010-12-19 08:03:05 EST
Review is complete. The license text issue is blocking. Other things look fine.
Thanks
Comment 3 Narasimhan 2011-01-02 03:19:47 EST
A mail has been sent to upstream requesting to add the correct license  text to the source package.
Comment 4 Narasimhan 2011-01-16 23:29:31 EST
The  package author has upgraded the package to new version that includes the LICENSE file.
http://hackage.haskell.org/packages/archive/ranges/0.2.3/ranges-0.2.3.tar.gz
Comment 6 Narasimhan 2011-01-29 01:23:23 EST
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.
 rpmlint  -i ghc-ranges-*.rpm ../ghc-ranges.spec 
ghc-ranges.src: W: spelling-error %description -l en_US lookup -> lockup, hookup, look up
The value of this tag appears to be misspelled. Please double-check.

ghc-ranges.src: W: strange-permission ranges-0.2.3.tar.gz 0640L
A file that you listed to include in your package has strange permissions.
Usually, a file should have 0644 permissions.

ghc-ranges.src: W: strange-permission ghc-ranges.spec 0640L
A file that you listed to include in your package has strange permissions.
Usually, a file should have 0644 permissions.

ghc-ranges.x86_64: W: spelling-error %description -l en_US lookup -> lockup, hookup, look up
The value of this tag appears to be misspelled. Please double-check.

ghc-ranges.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/ghc-ranges-0.2.3/LICENSE
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

ghc-ranges-devel.x86_64: W: spelling-error %description -l en_US lookup -> lockup, hookup, look up
The value of this tag appears to be misspelled. Please double-check.

ghc-ranges-prof.x86_64: E: devel-dependency ghc-ranges-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-ranges-prof.x86_64: W: spelling-error %description -l en_US lookup -> lockup, hookup, look up
The value of this tag appears to be misspelled. Please double-check.

ghc-ranges-prof.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-ranges-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/ranges-0.2.3/libHSranges-0.2.3_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

4 packages and 1 specfiles checked; 1 errors, 9 warnings.

Please use the patch to fix the line endings warning

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        License - OK, BSD 3 clause, LICENSE file has been updated in v0.2.3
        No prebuilt external bits - OK
        Spec legibity - OK, attached a patch to remove some lines that are not necessary
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Buildroot is ignored - present anyway. OK
        %clean is ignored - present anyway. OK
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK, present in devel package

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
Yes, included. But the license text is not proper. Asked the package reviewer to get the proper license text included as part of the sources. The LICENSE file is updated in version 0.2.3
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.

md5sum built/ghc-ranges-0.2.3-1.fc14.src/ranges-0.2.3.tar.gz 
b2e6b2fbcf74e2ac79ee9f422aeda0f3  built/ghc-ranges-0.2.3-1.fc14.src/ranges-0.2.3.tar.gz

md5sum ranges-0.2.3.tar.gz 
b2e6b2fbcf74e2ac79ee9f422aeda0f3  ranges-0.2.3.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Yes, built on x86_64. http://koji.fedoraproject.org/koji/taskinfo?taskID=2748694
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[NA]MUST: The spec file MUST handle locales properly using the %find_lang macro
[NA]MUST: Packages stores shared library files must call ldconfig in %post and %postun.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
Checked with ls -lR
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissable content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: Header files must be in a -devel package.
[NA]MUST: Static libraries must be in a -static package.
[NA]MUST: If a package contains library files with a suffix (e.g.libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
rpm -e ghc-ranges
error: Failed dependencies:
	ghc-ranges = 0.2.3-1.fc14 is needed by (installed) ghc-ranges-devel-0.2.3-1.fc14.x86_64

rpm -e ghc-ranges-devel
error: Failed dependencies:
	ghc-ranges-devel = 0.2.3-1.fc14 is needed by (installed) ghc-ranges-prof-0.2.3-1.fc14.x86_64

[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
Checked with rpmquery --list
[+]MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+]SHOULD: The reviewer should test that the package functions as described.
Installed the package. Imported the module Data.Ranges into a sample file. Compiles and runs fine.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

cabal2spec-diff is OK.

APPROVED.
Comment 7 Narasimhan 2011-01-29 01:24:10 EST
Created attachment 475923 [details]
patch to fix line endings in LICENSE file
Comment 8 Narasimhan 2011-01-29 01:25:36 EST
Also, please upgrade to cabal2spec-0.22.4  while committing the spec file.
Comment 9 Ben Boeckel 2011-01-29 12:15:36 EST
New Package CVS Request
=======================
Package Name: ghc-ranges
Short Description: Ranges and various functions on them
Owners: mathstuf
Branches: F-13 F-14

Thanks.

InitialCC: haskell-sig(In reply to comment #8)
> Also, please upgrade to cabal2spec-0.22.4  while committing the spec file.

Will do.
Comment 10 Dennis Gilmore 2011-01-30 19:01:57 EST
Git done (by process-git-requests).
Comment 11 Narasimhan 2011-03-05 20:03:04 EST
Rawhide build

http://koji.fedoraproject.org/koji/buildinfo?buildID=228283
Comment 12 Narasimhan 2011-03-05 21:20:52 EST
Hi Ben,
Can you submit updates of ghc-ranges for F15,F14 and F13?
Comment 13 Ben Boeckel 2011-03-24 12:31:42 EDT
Building for F15 now. Will submit when it finishes.
Comment 14 Fedora Update System 2011-03-24 12:39:06 EDT
ghc-ranges-0.2.3-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-ranges-0.2.3-1.fc14
Comment 15 Fedora Update System 2011-03-24 12:39:13 EDT
ghc-ranges-0.2.3-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ghc-ranges-0.2.3-2.fc15
Comment 16 Fedora Update System 2011-03-24 12:39:21 EDT
ghc-ranges-0.2.3-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/ghc-ranges-0.2.3-1.fc13
Comment 17 Fedora Update System 2011-03-28 23:48:03 EDT
ghc-ranges-0.2.3-2.fc15 has been pushed to the Fedora 15 stable repository.
Comment 18 Fedora Update System 2011-04-02 18:49:54 EDT
ghc-ranges-0.2.3-1.fc14 has been pushed to the Fedora 14 stable repository.
Comment 19 Fedora Update System 2011-04-02 18:52:31 EDT
ghc-ranges-0.2.3-1.fc13 has been pushed to the Fedora 13 stable repository.

Note You need to log in before you can comment on or make changes to this bug.